import { Comms } from "../../comms/comms";
import { ReadiumWindow } from "../../helpers/dom";
import { Module } from "../Module";
import { ModuleName } from "../ModuleLibrary";
export declare abstract class Setup extends Module {
    static readonly moduleName: ModuleName;
    private comms;
    wndOnErr(event: ErrorEvent): void;
    protected unblock(wnd: ReadiumWindow): void;
    private mediaPlayingCount;
    private onMediaPlayEvent;
    private onMediaPauseEvent;
    private pauseAllMedia;
    private allAnimations;
    mount(wnd: ReadiumWindow, comms: Comms): boolean;
    unmount(wnd: ReadiumWindow, comms: Comms): boolean;
}
